Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing
Class JSVGCanvas.CanvasSVGListener

    java.lang.Object
      org.apache.batik.swing.gvt.JGVTComponent.Listener
          org.apache.batik.swing.svg.JSVGComponent.SVGListener
              org.apache.batik.swing.JSVGCanvas.CanvasSVGListener

All Implemented Interfaces:
  java.util.EventListener, GVTTreeBuilderListener, GVTTreeRendererListener, java.awt.event.KeyListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener, SVGDocumentLoaderListener, SVGLoadEventDispatcherListener, UpdateManagerListener

Enclosing class:
  JSVGCanvas

protected class JSVGCanvas.CanvasSVGListener
extends JSVGComponent.SVGListener

To hide the listener methods. This class just reset the tooltip.

Constructor Summary
`protected` | `JSVGCanvas.CanvasSVGListener()`

Method Summary
`void` | `documentLoadingStarted(SVGDocumentLoaderEvent e)` Called when the loading of a document was started.

Methods inherited from class org.apache.batik.swing.svg.JSVGComponent.SVGListener
`dispatchKeyPressed, dispatchKeyReleased, dispatchKeyTyped, dispatchMouseClicked, dispatchMouseDragged, dispatchMouseEntered, dispatchMouseExited, dispatchMouseMoved, dispatchMousePressed, dispatchMouseReleased, documentLoadingCancelled, documentLoadingCompleted, documentLoadingFailed, gvtBuildCancelled, gvtBuildCompleted, gvtBuildFailed, gvtBuildStarted, gvtRenderingCancelled, gvtRenderingCompleted, gvtRenderingFailed, managerResumed, managerStarted, managerStopped, managerSuspended, svgLoadEventDispatchCancelled, svgLoadEventDispatchCompleted, svgLoadEventDispatchFailed, svgLoadEventDispatchStarted, updateCompleted, updateFailed, updateStarted`

Methods inherited from class org.apache.batik.swing.gvt.JGVTComponent.Listener
`deselectInteractor, gvtRenderingPrepare, gvtRenderingStarted, keyPressed, keyReleased, keyTyped, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, selectInteractor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSVGCanvas.CanvasSVGListener

    protected JSVGCanvas.CanvasSVGListener()

Method Detail

### documentLoadingStarted

    public void documentLoadingStarted(SVGDocumentLoaderEvent e)

  Called when the loading of a document was started.

  Specified by:
    `documentLoadingStarted` in interface `SVGDocumentLoaderListener`
  Overrides:
    `documentLoadingStarted` in class `JSVGComponent.SVGListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.